package com.lightinit.hsdataplatformresdir.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DataCatelogSubscribeExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DataCatelogSubscribeExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdIsNull() {
            addCriterion("data_catelog_id is null");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdIsNotNull() {
            addCriterion("data_catelog_id is not null");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdEqualTo(Long value) {
            addCriterion("data_catelog_id =", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdNotEqualTo(Long value) {
            addCriterion("data_catelog_id <>", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdGreaterThan(Long value) {
            addCriterion("data_catelog_id >", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdGreaterThanOrEqualTo(Long value) {
            addCriterion("data_catelog_id >=", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdLessThan(Long value) {
            addCriterion("data_catelog_id <", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdLessThanOrEqualTo(Long value) {
            addCriterion("data_catelog_id <=", value, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdIn(List<Long> values) {
            addCriterion("data_catelog_id in", values, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdNotIn(List<Long> values) {
            addCriterion("data_catelog_id not in", values, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdBetween(Long value1, Long value2) {
            addCriterion("data_catelog_id between", value1, value2, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andDataCatelogIdNotBetween(Long value1, Long value2) {
            addCriterion("data_catelog_id not between", value1, value2, "dataCatelogId");
            return (Criteria) this;
        }

        public Criteria andApplierIsNull() {
            addCriterion("applier is null");
            return (Criteria) this;
        }

        public Criteria andApplierIsNotNull() {
            addCriterion("applier is not null");
            return (Criteria) this;
        }

        public Criteria andApplierEqualTo(Long value) {
            addCriterion("applier =", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierNotEqualTo(Long value) {
            addCriterion("applier <>", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierGreaterThan(Long value) {
            addCriterion("applier >", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierGreaterThanOrEqualTo(Long value) {
            addCriterion("applier >=", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierLessThan(Long value) {
            addCriterion("applier <", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierLessThanOrEqualTo(Long value) {
            addCriterion("applier <=", value, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierIn(List<Long> values) {
            addCriterion("applier in", values, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierNotIn(List<Long> values) {
            addCriterion("applier not in", values, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierBetween(Long value1, Long value2) {
            addCriterion("applier between", value1, value2, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierNotBetween(Long value1, Long value2) {
            addCriterion("applier not between", value1, value2, "applier");
            return (Criteria) this;
        }

        public Criteria andApplierDeptIsNull() {
            addCriterion("applier_dept is null");
            return (Criteria) this;
        }

        public Criteria andApplierDeptIsNotNull() {
            addCriterion("applier_dept is not null");
            return (Criteria) this;
        }

        public Criteria andApplierDeptEqualTo(Long value) {
            addCriterion("applier_dept =", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptNotEqualTo(Long value) {
            addCriterion("applier_dept <>", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptGreaterThan(Long value) {
            addCriterion("applier_dept >", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptGreaterThanOrEqualTo(Long value) {
            addCriterion("applier_dept >=", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptLessThan(Long value) {
            addCriterion("applier_dept <", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptLessThanOrEqualTo(Long value) {
            addCriterion("applier_dept <=", value, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptIn(List<Long> values) {
            addCriterion("applier_dept in", values, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptNotIn(List<Long> values) {
            addCriterion("applier_dept not in", values, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptBetween(Long value1, Long value2) {
            addCriterion("applier_dept between", value1, value2, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplierDeptNotBetween(Long value1, Long value2) {
            addCriterion("applier_dept not between", value1, value2, "applierDept");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNull() {
            addCriterion("apply_time is null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIsNotNull() {
            addCriterion("apply_time is not null");
            return (Criteria) this;
        }

        public Criteria andApplyTimeEqualTo(Date value) {
            addCriterion("apply_time =", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotEqualTo(Date value) {
            addCriterion("apply_time <>", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThan(Date value) {
            addCriterion("apply_time >", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("apply_time >=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThan(Date value) {
            addCriterion("apply_time <", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeLessThanOrEqualTo(Date value) {
            addCriterion("apply_time <=", value, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeIn(List<Date> values) {
            addCriterion("apply_time in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotIn(List<Date> values) {
            addCriterion("apply_time not in", values, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeBetween(Date value1, Date value2) {
            addCriterion("apply_time between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andApplyTimeNotBetween(Date value1, Date value2) {
            addCriterion("apply_time not between", value1, value2, "applyTime");
            return (Criteria) this;
        }

        public Criteria andAuditByIsNull() {
            addCriterion("audit_by is null");
            return (Criteria) this;
        }

        public Criteria andAuditByIsNotNull() {
            addCriterion("audit_by is not null");
            return (Criteria) this;
        }

        public Criteria andAuditByEqualTo(String value) {
            addCriterion("audit_by =", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByNotEqualTo(String value) {
            addCriterion("audit_by <>", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByGreaterThan(String value) {
            addCriterion("audit_by >", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByGreaterThanOrEqualTo(String value) {
            addCriterion("audit_by >=", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByLessThan(String value) {
            addCriterion("audit_by <", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByLessThanOrEqualTo(String value) {
            addCriterion("audit_by <=", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByLike(String value) {
            addCriterion("audit_by like", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByNotLike(String value) {
            addCriterion("audit_by not like", value, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByIn(List<String> values) {
            addCriterion("audit_by in", values, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByNotIn(List<String> values) {
            addCriterion("audit_by not in", values, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByBetween(String value1, String value2) {
            addCriterion("audit_by between", value1, value2, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditByNotBetween(String value1, String value2) {
            addCriterion("audit_by not between", value1, value2, "auditBy");
            return (Criteria) this;
        }

        public Criteria andAuditAtIsNull() {
            addCriterion("audit_at is null");
            return (Criteria) this;
        }

        public Criteria andAuditAtIsNotNull() {
            addCriterion("audit_at is not null");
            return (Criteria) this;
        }

        public Criteria andAuditAtEqualTo(Date value) {
            addCriterion("audit_at =", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtNotEqualTo(Date value) {
            addCriterion("audit_at <>", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtGreaterThan(Date value) {
            addCriterion("audit_at >", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtGreaterThanOrEqualTo(Date value) {
            addCriterion("audit_at >=", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtLessThan(Date value) {
            addCriterion("audit_at <", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtLessThanOrEqualTo(Date value) {
            addCriterion("audit_at <=", value, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtIn(List<Date> values) {
            addCriterion("audit_at in", values, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtNotIn(List<Date> values) {
            addCriterion("audit_at not in", values, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtBetween(Date value1, Date value2) {
            addCriterion("audit_at between", value1, value2, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditAtNotBetween(Date value1, Date value2) {
            addCriterion("audit_at not between", value1, value2, "auditAt");
            return (Criteria) this;
        }

        public Criteria andAuditResultIsNull() {
            addCriterion("audit_result is null");
            return (Criteria) this;
        }

        public Criteria andAuditResultIsNotNull() {
            addCriterion("audit_result is not null");
            return (Criteria) this;
        }

        public Criteria andAuditResultEqualTo(String value) {
            addCriterion("audit_result =", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotEqualTo(String value) {
            addCriterion("audit_result <>", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultGreaterThan(String value) {
            addCriterion("audit_result >", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultGreaterThanOrEqualTo(String value) {
            addCriterion("audit_result >=", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLessThan(String value) {
            addCriterion("audit_result <", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLessThanOrEqualTo(String value) {
            addCriterion("audit_result <=", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLike(String value) {
            addCriterion("audit_result like", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotLike(String value) {
            addCriterion("audit_result not like", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultIn(List<String> values) {
            addCriterion("audit_result in", values, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotIn(List<String> values) {
            addCriterion("audit_result not in", values, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultBetween(String value1, String value2) {
            addCriterion("audit_result between", value1, value2, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotBetween(String value1, String value2) {
            addCriterion("audit_result not between", value1, value2, "auditResult");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}